%global majorver         3.12.1
%global rpmminorver      .%(echo %preminorver | sed -e 's|^\\.\\.*||')
%global fullver          %{majorver}%{?preminorver}
%global gem_name         rspec-expectations
%global need_bootstrap_set      0
%undefine __brp_mangle_shebangs
Summary:             RSpec expectations (should and matchers)
Name:                rubygem-%{gem_name}
Version:             %{majorver}
Release:             2
License:             MIT
URL:                 http://github.com/rspec/rspec-expectations
Source0:             https://rubygems.org/gems/%{gem_name}-%{fullver}.gem
Source1:             https://github.com/rspec/%{gem_name}/archive/v%{majorver}.tar.gz
Patch1:              0001-fix-NameError-compare-failure.patch
BuildRequires:       rubygems-devel
%if 0%{?need_bootstrap_set} < 1
BuildRequires:       rubygem(rspec) rubygem(minitest) >= 5 git
%endif
BuildArch:           noarch
%description
rspec-expectations adds `should` and `should_not` to every object and includes
RSpec::Matchers, a library of standard matchers.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
%description doc
This package contains documentation for %{name}.

%prep
%setup -q -T -n %{gem_name}-%{version} -b 1
ln -s %{gem_name}-%{majorver}/spec spec
gem specification %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch1 -p1

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
       %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_instdir}/{.document,.yardopts}
%if 0%{?need_bootstrap_set} < 1

%check
LANG=C.UTF-8
ruby -rrubygems -Ilib/ -S rspec spec/
%endif

%files
%dir    %{gem_instdir}
%license    %{gem_instdir}/LICENSE.md
%doc    %{gem_instdir}/Changelog.md
%doc    %{gem_instdir}/README.md
%{gem_instdir}/lib/
%exclude    %{gem_cache}
%{gem_spec}

%files doc
%{gem_docdir}

%changelog
* Wed Jan 18 2023 Ge Wang <wangge20@h-partners.com> -3.12.1-2
- Restore need_bootstrap_set flag after upgrade

* Thu Jan 05 2023 Ge Wang <wangge20@h-partners.com> - 3.12.1-1
- Upgrade to version 3.12.1

* Wed Jun 29 2022 liyanan <liyanan32@h-partners.com> - 3.10.2-1
- Upgrade to version 3.10.2

* Mon Aug 24 2020 xiezheng <xiezheng4@huawei.com> - 3.8.4-1
- package init
